Product backlogs - Items API
Bu içerik henüz dilinizde mevcut değil.
List all items of a product backlog
Заголовок раздела «List all items of a product backlog»List all items of a product backlog with a specific ID.
GET /product_backlogs/:id/product_backlog_itemsResponse
Заголовок раздела «Response»Status: 200 OK[ { "created_at": "2022-03-04T01:09:03-06:00", "position": 2, "problem": { "id": 208, "subject": "Insufficient memory warnings for Sales Tracking Production", "nodeID": "..." }, "updated_at": "2022-03-04T01:09:03-06:00", "...": "..." }, "..."]The response contains these fields .
Add/Update/Remove an item to a product backlog
Заголовок раздела «Add/Update/Remove an item to a product backlog»Updating the items on a product backlog is done by setting the
product_backlog_id
and
product_backlog_position
fields of the
requests
and
problems
of the items.
By setting the
product_backlog_id
to
null
the request or problem is removed from the product backlog.
created_at
Readonly datetime — The date and time at which the item was created.
estimate
Readonly integer — Estimate of the relative size of this item on the product backlog.
position
Readonly integer — The Position field is used to specify the position of the item, relative to the other items of the product backlog. The top item has position 1.
problem
Readonly reference to Problem — The Problem field is filled for problems on the product backlog.
request
Readonly reference to Request — The Request field is filled for requests on the product backlog.
updated_at
Readonly
datetime
— The date and time of the last update of the item.
If the item has no updates it contains the
created_at
value.